import 'dart:ui';
import '../uibit.dart';

class BlurMask extends StatelessWidget {
  final Widget child;
  final BorderRadius borderRadius;
  final double sigmaY;
  final double sigmaX;

  const BlurMask({Key key, this.borderRadius, this.child, this.sigmaY, this.sigmaX}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ClipRRect(
      borderRadius: borderRadius ?? BorderRadius.zero,
      child: BackdropFilter(
        filter: ImageFilter.blur(sigmaY: sigmaY??35, sigmaX: sigmaX??35),
        child: Material(
          color: Colors.transparent,
          child: child,
        ),
      ),
    );
  }
}
