
import 'dart:math';
import '../uibit.dart';

class HeadIndicator extends StatelessWidget {
  final Widget child;
  final double width;
  final double height;
  final double top;
  final double left;
  final Color color;

  const HeadIndicator({Key key, this.width = 65, this.height = 5, this.top, this.left,  this.child, this.color}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return CustomPaint(
      painter: RectArtPainter(
        width: width,
        height: height,
        top: top,
        left: left,
        color: color,
      ),
      child: Material(
        color: Colors.transparent,
        child: child,
      ),
    );
  }
}

class RectArtPainter extends CustomPainter {
  final double width;
  final double height;
  final double top;
  final double left;
  final Color color;

  RectArtPainter({this.width = 65, this.height = 5, this.top, this.left,this.color});

  @override
  void paint(Canvas canvas, Size size) {
    final paint = Paint();
    paint.style = PaintingStyle.fill;
    paint.color = color??kColor.opa(0.1);

    double w = width;
    double h = height;

    Rect rect = Rect.fromLTWH(left != null ? left : size.width / 2 - w / 2, top != null ? top : 10, w, h);

    canvas.drawArc(Rect.fromLTWH(rect.left + rect.height / 2, rect.top, rect.height, rect.height), -pi / 2, -pi, false, paint);

    canvas.drawArc(Rect.fromLTWH(rect.left + rect.width - rect.height - rect.height / 2, rect.top, rect.height, rect.height), -pi / 2, pi, false, paint);

    canvas.drawRect(Rect.fromLTWH(rect.left + rect.height, rect.top, rect.width - rect.height * 2, rect.height), paint);
  }

  @override
  bool shouldRepaint(CustomPainter oldDelegate) => oldDelegate != this;
}
