import '../uibit.dart';

class KTextField extends StatefulWidget {
  final String labelText;
  final double height;
  final Widget prefixIcon;
  final TextEditingController controller;
  final FocusNode focusNode;

  const KTextField({Key key, this.labelText = "", this.height = 40, this.prefixIcon, this.controller, this.focusNode}) : super(key: key);

  @override
  _KTextFieldState createState() => _KTextFieldState();
}

class _KTextFieldState extends State<KTextField> {
  @override
  Widget build(BuildContext context) {
    return Expanded(
      child: Container(
        height: widget.height ?? 30,
        child: TextField(
          controller: widget.controller,
          style: KTextStyle.normal,
          focusNode: widget.focusNode,
          decoration: InputDecoration(
            prefixIcon: widget.prefixIcon,
            hintText: widget.labelText,
            contentPadding: kEdge.horizontal,
            border: OutlineInputBorder(
              borderRadius: kRadius.all,
            ),
          ),
        ),
      ),
    );
  }
}
