import '../uibit.dart';

class MContainer extends Material {
  final EdgeInsetsGeometry margin;
  final EdgeInsetsGeometry padding;
  final Decoration decoration;
  final AlignmentGeometry alignment;
  final double width;
  final double height;

  const MContainer({
    Key key,
    MaterialType type = MaterialType.canvas,
    double elevation = 0.0,
    Color color = const Color(0x00000000),
    Color shadowColor = const Color(0xFF000000),
    TextStyle textStyle,
    BorderRadius borderRadius,
    ShapeBorder shape,
    bool borderOnForeground = true,
    Clip clipBehavior = Clip.none,
    Duration animationDuration = kThemeChangeDuration,
    Widget child,
    this.margin,
    this.padding,
    this.decoration,
    this.alignment,
    this.width,
    this.height,
  }) : super(
          key: key,
          type: type,
          elevation: elevation,
          color: color,
          shadowColor: shadowColor,
          textStyle: textStyle,
          borderRadius: borderRadius,
          shape: shape,
          borderOnForeground: borderOnForeground,
          clipBehavior: clipBehavior,
          animationDuration: animationDuration,
          child: child,
        );

  @override
  Widget get child => Container(
        width: width,
        height: height,
        alignment: alignment,
        padding: padding ?? EdgeInsets.all(0),
        margin: margin ?? EdgeInsets.all(0),
        child: super.child,
      );
}
